Bug 1021570 - OS Installer Support for LVM Thin Provisioning
OS Installer Support for LVM Thin Provisioning
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Bokoc
Fedora Docs QA
: Tracking
Depends On: 998527
Blocks: 998532 1008212 1008211
  Show dependency treegraph
 
Reported: 2013-10-21 10:28 EDT by Petr Bokoc
Modified: 2014-08-05 07:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 998527
Environment:
Last Closed: 2014-08-05 07:56:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Bokoc 2013-10-21 10:28:42 EDT
+++ This bug was initially created as a clone of Bug #998527 +++

This is a tracking bug for Change: OS Installer Support for LVM Thin Provisioning
For more details, see: http://fedoraproject.org//wiki/Changes/InstallerLVMThinProvisioningSupport

LVM has introduced thin provisioning technology, which provides greatly improved snapshot functionality in addition to thin provisioning capability. This change will make it possible to configure thin provisioning during OS installation.

--- Additional comment from David Lehman on 2013-08-27 11:28:33 EDT ---

The only missing piece is a way to select a usage profile in anaconda. You specify metadata size and chunk size via kickstart. The bug to add profiles to lvm2 for common thinp usage patterns is bug 958464.

--- Additional comment from Jaroslav Reznik on 2013-10-11 04:45:46 EDT ---

This message is a reminder that Fedora 20 Accepted Changes 100%
Completed Deadline is on 2013-10-15 [1].

All Accepted Changes has to be code complete and ready to be
validated in the Beta release (optionally by Fedora QA). Required
bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a
point of contingency plan, all incomplete Changes will be 
reported to FESCo for 2013-10-16 meeting. In case of any
questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/20/Schedule

--- Additional comment from Jaroslav Reznik on 2013-10-21 10:13:43 EDT ---

I see 958464 in POST state but probably without profiles. Is it acceptable to consider this Change completed without it or not? FESCo asked me to finish review of Changes this week. Thanks.
Comment 1 Petr Bokoc 2014-01-07 10:15:42 EST
LVM Thin Provisioning-specific options have been added into several places in the guide:
* 9.14.1.1. File System Types - LVM Thin Provisioning is now listed in the list of partition types
* 15.4. Kickstart Options
** the autopart command includes the type=thinp
** the logvop command includes several new options related to thin provisioning like --thinpool=, --metadatasize=, etc.

commit 436b8a3e613346b9c089d8a78c976da863e2187d
Author: Petr Bokoc <pbokoc@redhat.com>
Date:   Tue Jan 7 15:38:27 2014 +0100

    Adding LVM Thin Provisioning into Partition Types in storage

commit e066fc36ec1a1b67224bb23a6b02b16db49b91ac
Author: Petr Bokoc <pbokoc@redhat.com>
Date:   Tue Jan 7 15:45:35 2014 +0100

    Updating the repo and autopart Kickstart options

commit f0591043974e6b96de005babc04b9ae5ca55a345
Author: Petr Bokoc <pbokoc@redhat.com>
Date:   Tue Jan 7 16:02:48 2014 +0100

    Adding thin provisioning-specific options to logvol in Kickstart Options

Note You need to log in before you can comment on or make changes to this bug.